%define fontname silkscreen
%define fontconf 60-%{fontname}

%define _fontdir %{_datadir}/fonts
%define _fontconfig_confdir %{_sysconfdir}/fonts/conf.d
%define _fontconfig_templatedir %{_datadir}/fontconfig/conf.avail

Name:		%{fontname}-fonts
Summary: 	Silkscreen four member type family
Version:	1.0
Release:	1
# License attribution confirmed by author and Open Font Library
# http://openfontlibrary.org/media/files/jkottke/218
License:	OFL
Group:		User Interface/X
Source0:	http://www.kottke.org/plus/type/silkscreen/download/silkscreen.tar.gz
Source1:	%{name}-fontconfig.conf
Source2:	%{name}-expanded-fontconfig.conf
URL:		http://www.kottke.org/plus/type/silkscreen/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch

%description
Silkscreen is a four member type family for your Web graphics created by Jason
Kottke. Silkscreen is best used in places where extremely small graphical
display type is needed. The primary use is for navigational items (nav bars,
menus, etc), but it works well wherever small type is needed. In order to
preserve the proper spacing and letterforms, Silkscreen should be used at 8pt.
multiples (8pt., 16pt., 24pt., etc.) with anti-aliasing turned off.


%package -n %{fontname}-expanded-fonts
Summary:	Expanded Silkscreen font family
Group:		User Interface/X

%description -n %{fontname}-expanded-fonts
Silkscreen is a four member type family for your Web graphics created by Jason
Kottke. Silkscreen is best used in places where extremely small graphical
display type is needed. The primary use is for navigational items (nav bars,
menus, etc), but it works well wherever small type is needed. In order to
preserve the proper spacing and letterforms, Silkscreen should be used at 8pt.
multiples (8pt., 16pt., 24pt., etc.) with anti-aliasing turned off.

This font family has a slightly expanded spacing between the letters in 
comparison to the normal Silkscreen font family.


%prep
%setup -q -c -n %{name}


%build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
chmod 0755 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}

cp *.ttf ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/
chmod 0644 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/*

mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_confdir}
mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}

cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}.conf
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}-expanded.conf
chmod 0644 ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/*.conf

for f in %{fontconf}.conf %{fontconf}-expanded.conf ; do
    ln -s %{_fontconfig_templatedir}/$f ${RPM_BUILD_ROOT}%{_fontconfig_confdir}/$f
done


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc readme.txt
%{_fontconfig_confdir}/%{fontconf}.conf
%{_fontconfig_templatedir}/%{fontconf}.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/slkscr.ttf
%{_fontdir}/%{fontname}/slkscrb.ttf


%files -n %{fontname}-expanded-fonts
%defattr(-,root,system,-)
%doc readme.txt
%{_fontconfig_confdir}/%{fontconf}.conf
%{_fontconfig_templatedir}/%{fontconf}.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/slkscre*.ttf


%changelog
* Wed May 18 2011 Michael Perzl <michael@perzl.org> - 1.0-1
- first version for AIX V5.1 and higher
